Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entry
Interface JobEntryInterface

All Known Implementing Classes:
  JobEntryAbort, JobEntryAddResultFilenames, JobEntryColumnsExist, JobEntryConnectedToRepository, JobEntryCopyFiles, JobEntryCopyMoveResultFilenames, JobEntryCreateFile, JobEntryCreateFolder, JobEntryDelay, JobEntryDeleteFile, JobEntryDeleteFiles, JobEntryDeleteFolders, JobEntryDeleteResultFilenames, JobEntryDTDValidator, JobEntryEmpty, JobEntryEval, JobEntryEvalTableContent, JobEntryExportRepository, JobEntryFileCompare, JobEntryFileExists, JobEntryFilesExist, JobEntryFolderIsEmpty, JobEntryFoldersCompare, JobEntryFTP, JobEntryFTPDelete, JobEntryFTPPUT, JobEntryGetPOP, JobEntryHTTP, JobEntryJob, JobEntryMail, JobEntryMailValidator, JobEntryMoveFiles, JobEntryMSAccessBulkLoad, JobEntryMsgBoxInfo, JobEntryMssqlBulkLoad, JobEntryMysqlBulkFile, JobEntryMysqlBulkLoad, JobEntryPing, JobEntrySetVariables, JobEntrySFTP, JobEntrySFTPPUT, JobEntryShell, JobEntrySimpleEval, JobEntrySNMPTrap, JobEntrySpecial, JobEntrySQL, JobEntrySSH2GET, JobEntrySSH2PUT, JobEntrySuccess, JobEntryTableExists, JobEntryTrans, JobEntryTruncateTables, JobEntryUnZip, JobEntryWaitForFile, JobEntryWaitForSQL, JobEntryWriteToLog, JobEntryXMLWellFormed, JobEntryXSDValidator, JobEntryXSLT, JobEntryZipFile

    public interface JobEntryInterface

Interface for the different JobEntry classes.

Since:
  18-06-04
Author:
  Matt

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, JobMeta jobMeta)` Allows JobEntry objects to check themselves for consistency
`void` | `clear()`
`Object` | `clone()`
`boolean` | `evaluates()`
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result prev_result, int nr, Repository rep, Job parentJob)`
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface namingInterface, Repository repository)` Exports the object to a flat-file system, adding content with filename keys to a set of definitions.
`String` | `getConfigId()`
`String` | `getDescription()`
`String` | `getDialogClassName()` Get the name of the class that implements the dialog for this job entry JobEntryBase provides a default
`String` | `getFilename()`
`long` | `getID()`
`JobEntryType` | `getJobEntryType()`
`String` | `getName()`
`String` | `getPluginID()`
`String` | `getRealFilename()`
`List<ResourceReference>` | `getResourceDependencies(JobMeta jobMeta)` Get a list of all the resource dependencies that the step is depending on.
`List<org.pentaho.di.core.SQLStatement>` | `getSQLStatements(Repository repository)`
`List<org.pentaho.di.core.SQLStatement>` | `getSQLStatements(Repository repository, org.pentaho.di.core.variables.VariableSpace space)`
`String` | `getTypeCode()`
`org.pentaho.di.core.database.DatabaseMeta[]` | `getUsedDatabaseConnections()` This method returns all the database connections that are used by the job entry.
`String` | `getXML()`
`boolean` | `hasChanged()`
`boolean` | `isDummy()`
`boolean` | `isEvaluation()`
`boolean` | `isJob()`
`boolean` | `isMail()`
`boolean` | `isShell()`
`boolean` | `isSpecial()`
`boolean` | `isStart()`
`boolean` | `isTransformation()`
`boolean` | `isUnconditional()`
`void` | `loadRep(Repository rep, long id_jobentry, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`
`boolean` | `resetErrorsBeforeExecution()`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setChanged()`
`void` | `setChanged(boolean ch)`
`void` | `setConfigId(String configId)`
`void` | `setDescription(String description)`
`void` | `setID(long id)`
`void` | `setJobEntryType(JobEntryType e)`
`void` | `setName(String name)`
`void` | `setPluginID(String id)`

Method Detail

### execute

    org.pentaho.di.core.Result execute(org.pentaho.di.core.Result prev_result,
                                       int nr,
                                       Repository rep,
                                       Job parentJob)
                                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### clear

    void clear()

### getID

    long getID()

### setID

    void setID(long id)

### getName

    String getName()

### setName

    void setName(String name)

### getConfigId

    String getConfigId()

### setConfigId

    void setConfigId(String configId)

### getDescription

    String getDescription()

### setDescription

    void setDescription(String description)

### setChanged

    void setChanged()

### setChanged

    void setChanged(boolean ch)

### hasChanged

    boolean hasChanged()

### loadXML

    void loadXML(Node entrynode,
                 List<org.pentaho.di.core.database.DatabaseMeta> databases,
                 List<SlaveServer> slaveServers,
                 Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### getXML

    String getXML()

### loadRep

    void loadRep(Repository rep,
                 long id_jobentry,
                 List<org.pentaho.di.core.database.DatabaseMeta> databases,
                 List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    void saveRep(Repository rep,
                 long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryType

    JobEntryType getJobEntryType()

### setJobEntryType

    void setJobEntryType(JobEntryType e)

### getTypeCode

    String getTypeCode()

### getPluginID

    String getPluginID()

### isStart

    boolean isStart()

### isDummy

    boolean isDummy()

### clone

    Object clone()

### resetErrorsBeforeExecution

    boolean resetErrorsBeforeExecution()

### evaluates

    boolean evaluates()

### isUnconditional

    boolean isUnconditional()

### isEvaluation

    boolean isEvaluation()

### isTransformation

    boolean isTransformation()

### isJob

    boolean isJob()

### isShell

    boolean isShell()

### isMail

    boolean isMail()

### isSpecial

    boolean isSpecial()

### getSQLStatements

    List<org.pentaho.di.core.SQLStatement> getSQLStatements(Repository repository)
                                                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getSQLStatements

    List<org.pentaho.di.core.SQLStatement> getSQLStatements(Repository repository,
                                                            org.pentaho.di.core.variables.VariableSpace space)
                                                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDialogClassName

    String getDialogClassName()

  Get the name of the class that implements the dialog for this job entry JobEntryBase provides a default

### getFilename

    String getFilename()

### getRealFilename

    String getRealFilename()

### getUsedDatabaseConnections

    org.pentaho.di.core.database.DatabaseMeta[] getUsedDatabaseConnections()

  This method returns all the database connections that are used by the job entry.

  Returns:
    an array of database connections meta-data. Return an empty array if no connections are used.

### setPluginID

    void setPluginID(String id)

### check

    void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
               JobMeta jobMeta)

  Allows JobEntry objects to check themselves for consistency

  Parameters:
    `remarks` - List of CheckResult objects indicating check status
    `jobMeta` - JobMeta

### getResourceDependencies

    List<ResourceReference> getResourceDependencies(JobMeta jobMeta)

  Get a list of all the resource dependencies that the step is depending on.

  Returns:
    a list of all the resource dependencies that the step is depending on

### exportResources

    String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                           Map<String,ResourceDefinition> definitions,
                           ResourceNamingInterface namingInterface,
                           Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Exports the object to a flat-file system, adding content with filename keys to a set of definitions. The supplied resource naming interface allows the object to name appropriately without worrying about those parts of the implementation specific details.

  Parameters:
    `space` - The variable space to resolve (environment) variables with.
    `definitions` - The map containing the filenames and content
    `namingInterface` - The resource naming interface allows the object to name appropriately
    `repository` - The repository to load resources from
  Returns:
    The filename for this object. (also contained in the definitions map)
  Throws:
    `org.pentaho.di.core.exception.KettleException` - in case something goes wrong during the export

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD